## /vis/ogl/set/

G4OpenGLViewer set commands.

## Sub-directories :

## Commands :

displayHeadTime [displayHeadTime] [screenX] [screenY] [screenSize] [red] [green] [blue]

  Display head time of range in 2D text.

  Available at all Geant4 states.

  Parameters

  displayHeadTime | type b |  |
  screenX | type d | Omittable : default value = -0.9 | Parameter range : screenX >= -1. && screenX <= 1.
  screenY | type d | Omittable : default value = -0.9 | Parameter range : screenY >= -1. && screenY <= 1.
  screenSize | type d | Omittable : default value = 24 |
  red | type d | Omittable : default value = 0 | Parameter range : red >= 0. && red <= 1.
  green | type d | Omittable : default value = 1 | Parameter range : green >= 0. && green <= 1.
  blue | type d | Omittable : default value = 1 | Parameter range : blue >= 0. && blue <= 1.

displayLightFront [displayLightFront] [originX] [originY] [originZ] [space_unit] [originT] [time_unit] [red] [green] [blue]

  Display the light front at head time.
  Tip: The trajectories can appear of jump ahead of the light front because their time range overlaps the viewer's time range. To average out this discrete time effect, advance the light front by half the trajectories interval. E.g., if the trajectory time slice interval is 0.01 ns: /vis/ogl/set/displayLightFront true -90 0 0 mm -0.005 ns To prevent them beating the light front at all: /vis/ogl/set/displayLightFront true -90 0 0 mm -0.01 ns

  Available at all Geant4 states.

  Parameters

  displayLightFront | type b |  |
  originX | type d | Omittable : default value = 0 |
  originY | type d | Omittable : default value = 0 |
  originZ | type d | Omittable : default value = 0 |
  space_unit | type s | Omittable : default value = m |
  originT | type d | Omittable : default value = 0 |
  time_unit | type s | Omittable : default value = s |
  red | type d | Omittable : default value = 0 | Parameter range : red >= 0. && red <= 1.
  green | type d | Omittable : default value = 1 | Parameter range : green >= 0. && green <= 1.
  blue | type d | Omittable : default value = 0 | Parameter range : blue >= 0. && blue <= 1.

endTime [end-time] [end-time-unit] [time-range] [time-range-unit]

  Set end and range of track time.

  Available at all Geant4 states.

  Parameters

  end-time | type d |  |
  end-time-unit | type s |  |
  time-range | type d | Omittable : default value = -1 |
  time-range-unit | type s | Omittable : default value = ns |

fade [fadefactor]

  0: no fade; 1: maximum fade with time within range.

  Range : fadefactor>=0.&&fadefactor<=1.

  Available at all Geant4 states.

  Parameters

  fadefactor | type d |  |

startTime [start-time] [start-time-unit] [time-range] [time-range-unit]

  Set start and range of track time.

  Available at all Geant4 states.

  Parameters

  start-time | type d |  |
  start-time-unit | type s |  |
  time-range | type d | Omittable : default value = -1 |
  time-range-unit | type s | Omittable : default value = ns |

transparency [transparency-enabled]

  True/false to enable/disable rendering of transparent objects.

  Available at all Geant4 states.

  Parameters

  transparency-enabled | type b | Omittable : default value = 1 |